Subject: [Megaco] query regarding the use of SDP

From: "Abhi" <[email-masked]>
Date: Fri, 14 Mar 2003 16:03:20 +0530

Hi,
As we know SDP is used to ecode and decode local and remote descriptor. I have certain doubts about some SDP paramters. They  are as follows:-
1. Do we reqire "o=" line in megaco?
    if present then
    a. Can we set username to hypen ("-")?
    b. Can NTP timestamp be used for session id and 
        version?
 2.Do we need sesion name?
    If present can we use hyphen for that?
3..Do we need sesion and media information "i=" line ?
4..Do we need URI ?
5. How to use bandwidth "b=" line?
6. How to use "t=" line?
    If present, can we have a permanent session?
 NOTE :- RFC-3435(MGCP )  says
    * The start time may be set to zero.
   * The stop time should be set to zero.

7. .Do we need attributes
            a) a=cat:<category>
            b) a=keywds:<keywords>
            c) a=tool:<name & version of tool>?
8. Aren't "recvonly", "senrecv", "sendonlly" are redundant in 
    Megaco?
9. How to use "a=type:<conference type>" in Megaco?
10 How to use attributes "a=sdplang" & "a=lang" in Megaco?

Thanks and regards
Abhishek Bansal

---

From: Carl Rutter <[email-masked]>
Date: Fri, 14 Mar 2003 08:27:32 -0500

I'll take a stab at a few of these:
 
FYI, In general per RFC2327
"Some lines in each description are required and some
   are optional but all must appear in exactly the order given here (the
   fixed order greatly enhances error detection and allows for a simple
   parser). Optional items are marked with a `*'."
   So the ones with the * are optional
ie) i=* (media title)
Also ignore what you don't understand:
* "SDP parsers must completely ignore any announcement
   that contains a `type' letter that it does not understand."
* "A session directory must ignore any
   attribute it doesn't understand."

1) Per section 7.1.8 RFC3015
   *  the "s=", "t=" and "o=" lines are optional,
2) 
   *  the "s=", "t=" and "o=" lines are optional,
3) Can be omitted, seems to be encouraged, never used it.
5) RFC2327 page 12

Carl
 
-----Original Message-----
From: Abhi [mailto:[email-masked]]
Sent: Friday, March 14, 2003 5:33 AM
To: [email-masked]
Cc: [email-masked]
Subject: [Megaco] query regarding the use of SDP

Hi,
As we know SDP is used to ecode and decode local and remote descriptor. I
have certain doubts about some SDP paramters. They  are as follows:-

Thanks and regards
Abhishek Bansal

---

From: "Abhi" <[email-masked]>
Date: Sat, 15 Mar 2003 10:08:36 +0530

regarding 2 and 3
if this is the case then how to use these parameters "s=", "t=", "o=" in megaco.
what are the possible values of different fields
thanks and regards
Abhishek